BIT-consul-2021-41805

See a problem?
Import Source
https://github.com/bitnami/vulndb/tree/main/data/consul/BIT-consul-2021-41805.json
JSON Data
https://api.osv.dev/v1/vulns/BIT-consul-2021-41805
Aliases
Published
2024-03-06T10:52:33.477Z
Modified
2024-03-06T11:25:28.861Z
Summary
[none]
Details

HashiCorp Consul Enterprise before 1.8.17, 1.9.x before 1.9.11, and 1.10.x before 1.10.4 has Incorrect Access Control. An ACL token (with the default operator:write permissions) in one namespace can be used for unintended privilege escalation in a different namespace.

References

Affected packages

Bitnami / consul

Package

Name
consul
Purl
pkg:bitnami/consul

Severity

  • 8.8 (High) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H CVSS Calculator

Affected ranges

Type
SEMVER
Events
Introduced
1.7.0
Fixed
1.8.17
Introduced
1.9.0
Fixed
1.9.11
Introduced
1.10.0
Fixed
1.10.4